# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Diff.pm) perl(App/CLI.pm) perl(App/CLI/Command.pm) perl(App/CLI/Command/Help.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(DateTime/Format/DateParse.pm) perl(Exporter.pm) perl(Exporter/Lite.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(VIM/Uploader.pm) perl(Vimana/Record.pm) perl(YAML.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 2010.03218
%define module_name VIM-Packager
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2010.03218
Release: alt1
Summary: ARRAY(0x1f77f28)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CO/CORNELIUS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
INTRODUCTION
============

`VIM::Pacakger` is an util for vim script pacakge. features are:

    - dependency solving
    - easy to install, uninstall, upgrade vim scripts
    - vim script testing
    - simple meta file
    - vim script developing helpers

INSTALLATION
============

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README.mkd BUGS TODO doc
%perl_vendor_privlib/V*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 2010.03218-alt1
- initial import by package builder

